> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysoma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get provider

> Retrieve a provider instance by its unique identifier



## OpenAPI

````yaml api-reference/openapi.json get /api/bridge/v1/provider/{provider_instance_id}
openapi: 3.1.0
info:
  title: soma
  version: v1
servers: []
security: []
tags:
  - name: task
    description: >-
      Task management endpoints for creating, listing, and managing tasks and
      their messages
  - name: secret
    description: Secret management endpoints for storing and retrieving encrypted secrets
  - name: encryption
    description: >-
      Encryption key management endpoints for envelope keys, data encryption
      keys, and aliases
  - name: bridge
    description: >-
      Bridge endpoints for managing providers, credentials, functions, and MCP
      protocol communication
  - name: _internal
    description: >-
      Internal endpoints for health checks, runtime configuration, and SDK code
      generation
  - name: a2a
    description: >-
      Agent-to-agent communication endpoints for agent cards, definitions, and
      JSON-RPC requests
  - name: v1
    description: API version v1 endpoints
paths:
  /api/bridge/v1/provider/{provider_instance_id}:
    get:
      tags:
        - bridge
        - v1
      summary: Get provider
      description: Retrieve a provider instance by its unique identifier
      operationId: get-provider-instance
      parameters:
        - name: provider_instance_id
          in: path
          description: Provider instance ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Get provider instance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderInstanceSerializedWithEverything'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ProviderInstanceSerializedWithEverything:
      allOf:
        - $ref: '#/components/schemas/ProviderInstanceSerializedWithCredentials'
        - type: object
          required:
            - functions
            - controller
            - credential_controller
          properties:
            controller:
              $ref: '#/components/schemas/ProviderControllerSerialized'
            credential_controller:
              $ref: '#/components/schemas/ProviderCredentialControllerSerialized'
            functions:
              type: array
              items:
                $ref: '#/components/schemas/FunctionInstanceListItem'
    Error:
      type: object
      required:
        - message
      properties:
        data: {}
        message:
          type: string
    ProviderInstanceSerializedWithCredentials:
      type: object
      required:
        - provider_instance
        - resource_server_credential
      properties:
        provider_instance:
          $ref: '#/components/schemas/ProviderInstanceSerialized'
        resource_server_credential:
          $ref: '#/components/schemas/ResourceServerCredentialSerialized'
        user_credential:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/UserCredentialSerialized'
    ProviderControllerSerialized:
      type: object
      required:
        - type_id
        - name
        - categories
        - documentation
        - functions
        - credential_controllers
      properties:
        categories:
          type: array
          items:
            type: string
        credential_controllers:
          type: array
          items:
            $ref: '#/components/schemas/ProviderCredentialControllerSerialized'
        documentation:
          type: string
        functions:
          type: array
          items:
            $ref: '#/components/schemas/FunctionControllerSerialized'
        name:
          type: string
        type_id:
          type: string
    ProviderCredentialControllerSerialized:
      type: object
      required:
        - type_id
        - configuration_schema
        - name
        - documentation
        - requires_brokering
        - requires_resource_server_credential_refreshing
        - requires_user_credential_refreshing
      properties:
        configuration_schema:
          $ref: '#/components/schemas/ConfigurationSchema'
        documentation:
          type: string
        name:
          type: string
        requires_brokering:
          type: boolean
        requires_resource_server_credential_refreshing:
          type: boolean
        requires_user_credential_refreshing:
          type: boolean
        type_id:
          type: string
    FunctionInstanceListItem:
      allOf:
        - $ref: '#/components/schemas/FunctionInstanceSerialized'
        - type: object
          required:
            - controller
          properties:
            controller:
              $ref: '#/components/schemas/FunctionControllerSerialized'
    ProviderInstanceSerialized:
      type: object
      required:
        - id
        - display_name
        - resource_server_credential_id
        - created_at
        - updated_at
        - provider_controller_type_id
        - credential_controller_type_id
        - status
      properties:
        created_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        credential_controller_type_id:
          type: string
        display_name:
          type: string
        id:
          type: string
        provider_controller_type_id:
          type: string
        resource_server_credential_id:
          $ref: '#/components/schemas/WrappedUuidV4'
        return_on_successful_brokering:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ReturnAddress'
        status:
          type: string
        updated_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        user_credential_id:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/WrappedUuidV4'
    ResourceServerCredentialSerialized:
      type: object
      required:
        - id
        - type_id
        - metadata
        - value
        - created_at
        - updated_at
        - dek_alias
      properties:
        created_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        dek_alias:
          type: string
        id:
          $ref: '#/components/schemas/WrappedUuidV4'
        metadata:
          $ref: '#/components/schemas/Metadata'
        next_rotation_time:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/WrappedChronoDateTime'
        type_id:
          type: string
        updated_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        value:
          $ref: '#/components/schemas/WrappedJsonValue'
    UserCredentialSerialized:
      type: object
      required:
        - id
        - type_id
        - metadata
        - value
        - created_at
        - updated_at
        - dek_alias
      properties:
        created_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        dek_alias:
          type: string
        id:
          $ref: '#/components/schemas/WrappedUuidV4'
        metadata:
          $ref: '#/components/schemas/Metadata'
        next_rotation_time:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/WrappedChronoDateTime'
        type_id:
          type: string
        updated_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        value:
          $ref: '#/components/schemas/WrappedJsonValue'
    FunctionControllerSerialized:
      type: object
      required:
        - type_id
        - name
        - documentation
        - parameters
        - output
        - categories
      properties:
        categories:
          type: array
          items:
            type: string
        documentation:
          type: string
        name:
          type: string
        output:
          $ref: '#/components/schemas/JsonSchema'
        parameters:
          $ref: '#/components/schemas/JsonSchema'
        type_id:
          type: string
    ConfigurationSchema:
      type: object
      required:
        - resource_server
        - user_credential
      properties:
        resource_server:
          $ref: '#/components/schemas/JsonSchema'
        user_credential:
          $ref: '#/components/schemas/JsonSchema'
    FunctionInstanceSerialized:
      type: object
      required:
        - function_controller_type_id
        - provider_controller_type_id
        - provider_instance_id
        - created_at
        - updated_at
      properties:
        created_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        function_controller_type_id:
          type: string
        provider_controller_type_id:
          type: string
        provider_instance_id:
          type: string
        updated_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
    WrappedChronoDateTime:
      type: string
      format: date-time
    WrappedUuidV4:
      type: string
      format: uuid
    ReturnAddress:
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/ReturnAddressUrl'
            - type: object
              required:
                - type
              properties:
                type:
                  type: string
                  enum:
                    - url
    Metadata:
      type: object
      additionalProperties: {}
      propertyNames:
        type: string
    WrappedJsonValue: {}
    JsonSchema:
      type: object
      additionalProperties: true
    ReturnAddressUrl:
      type: object
      required:
        - url
      properties:
        url:
          type: string

````